Bug 7279 - Changes on SURBL.org to SC, AB, JP & WS
Summary: Changes on SURBL.org to SC, AB, JP & WS
Status: NEW
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: Rules (show other bugs)
Version: SVN Trunk (Latest Devel Version)
Hardware: PC Windows 7
: P2 normal
Target Milestone: Undefined
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-21 17:15 UTC by Kevin A. McGrail
Modified: 2018-03-01 17:44 UTC (History)
2 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin A. McGrail 2015-12-21 17:15:38 UTC
Change #1 - Comment out SC & AB for SURBL.org.  Rename bit 64 ABUSE - Timeframe immediate

Change #2 - Comment out WS after May 1, 2016



Original Announcement:

New ABUSE sublist -- SC, AB sublists deprecated -- migration to ABUSE

December 18, 2015


In order to keep improving SURBL data, we plan to reorganize some of
the sublists inside the combined list multi as described below.


SC, AB sublists deprecated, merged into ABUSE sublist with JP

Until now the SURBL multi data set consisted of the two typed sublists
MW (malware) and PH (phishing) and several general data sets (AB, JP,
SC and WS), each with its own bit mask value. To simplify the use of
multi and to prepare for more detailed typing information in the
future we will be merging the above general lists into a single
sublist that will be known as ABUSE. All domains listed on ABUSE will
return bit mask 64, the value previously used by the JP sublist.

Effective immediately, the SC and AB data sets have been migrated and
are already part of ABUSE, as is the JP data set. These migrated data
sets now no longer return bit mask values 2 (SC) and 32 (AB) but 64.
Their old bit mask values have been deprecated.


WS sublist to be deprecated after transition period

The WS sublist will be migrated into ABUSE (bit mask value 64) after a
transition period, per the timeline at the end of this announcement.
Its old bit mask value 4 will then be deprecated.

For compatibility with existing applications, any TXT records for
hosts listed on ABUSE will continue to identify the sublist name as JP
until the end of the transition period. To existing unmodified
applications it will appear that the SC and AB sublists have been
emptied and their data added to the JP sublist.

Generally we recommend that application developers not depend on
particular TXT records, as  they are meant for human readers (for
example, in non-delivery messages) and are subject to change without
notice. Applications should always use the numeric (A record) return
values from DNS queries instead.


Timeline

Deprecation of the SC, AB sublists - Immediate
  AB => bit mask value 64
  SC => bit mask value 64

Migration of WS dataset to ABUSE - 1 May 2016
  WS => bit mask value 64
  renaming of ABUSE TXT record


The documentation on the SURBL site will be updated over the next few
weeks to reflect the changes. It has not been updated yet.

  http://www.surbl.org/lists


Recommended action

We recommend that SURBL application developers prepare to update their
configurations according to these changes so they are ready when the
changes are put into production on our name servers and zone files.

Please direct followup discussion to the SURBL Discussion list.

_______________________________________________
Announce mailing list
Announce@lists.surbl.org
Comment 1 Kevin A. McGrail 2015-12-21 19:48:43 UTC
Change #1 done for trunk and 3.4 branch 

svn commit -m 'Change #1 from bug 7279 for SURBL list changes for 3.4'                       
Sending        rules/25_uribl.cf
Sending        rules/30_text_de.cf
Sending        rules/30_text_pt_br.cf
Sending        rules/50_scores.cf
Transmitting file data ....
Committed revision 1721238.

svn commit -m 'Change #1 from bug 7279 for SURBL list changes for trunk'
Sending        rules/25_uribl.cf
Sending        rules/30_text_de.cf
Sending        rules/30_text_pt_br.cf
Sending        rules/50_scores.cf
Transmitting file data ....
Committed revision 1721241.
Comment 2 Kevin A. McGrail 2015-12-21 21:19:58 UTC
If someone is inclined to test, might be able to add metas for the old rule names to stop customized places from getting a rule error.

Something like this?

Index: rules/25_uribl.cf
===================================================================
--- rules/25_uribl.cf   (revision 1721241)
+++ rules/25_uribl.cf   (working copy)
@@ -117,6 +117,7 @@
 #describe        URIBL_SC_SURBL  Contains an URL listed in the SC SURBL blocklist
 #tflags          URIBL_SC_SURBL  net
 #reuse           URIBL_SC_SURBL
+meta           URIBL_SC_SURBL  (0)
 
 urirhssub       URIBL_WS_SURBL  multi.surbl.org.        A   4
 body            URIBL_WS_SURBL  eval:check_uridnsbl('URIBL_WS_SURBL')
@@ -142,8 +143,11 @@
 #describe        URIBL_AB_SURBL  Contains an URL listed in the AB SURBL blocklist
 #tflags          URIBL_AB_SURBL  net
 #reuse           URIBL_AB_SURBL
+meta            URIBL_AB_SURBL  (0)
 
 #JP MOVED INTO ABUSE AS WELL AND BIT REUSED  per bug 7279
+meta            URIBL_JP_SURBL  (0)
+
 urirhssub       URIBL_ABUSE_SURBL  multi.surbl.org.        A   64
 body            URIBL_ABUSE_SURBL  eval:check_uridnsbl('URIBL_ABUSE_SURBL')
 describe        URIBL_ABUSE_SURBL  Contains an URL listed in the ABUSE SURBL blocklist
Comment 3 Giovanni Bechis 2018-03-01 17:44:21 UTC
URIBL_SC_SURBL rule & friends have been commented in r1721241,
any reason why they are still present in 10_force_active.cf ?